Package org.codehaus.groovy.classgen.asm

## Class AssertionWriter

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.AssertionWriter

-     public class AssertionWriter
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AssertionWriter​(WriterController wc)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `disableTracker()` |
    `void` | `record​(Expression expression)` |
    `void` | `record​(Token op)` |
    `void` | `reenableTracker()` |
    `void` | `writeAssertStatement​(AssertStatement statement)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertionWriter

          public AssertionWriter​(WriterController wc)

  - ### Method Detail

    - #### writeAssertStatement

          public void writeAssertStatement​(AssertStatement statement)

    - #### record

          public void record​(Expression expression)

    - #### record

          public void record​(Token op)

    - #### disableTracker

          public void disableTracker()

    - #### reenableTracker

          public void reenableTracker()